#ifndef CRUISECONTROLLER_H
#define CRUISECONTROLLER_H

#include "PlatoonProtocolLib/VehicleFacade.h"
#include "PlatoonController.h"
#include "EgoMotion.h"

namespace car
{
class CruiseController 
{
  public:
    CruiseController(platoonProtocol::VehicleFacade& c2c,
                     EgoMotion& egoMotion,
                     PlatoonController& platoonController);
    
    ~CruiseController(){};

    void run();
    
  private:
    platoonProtocol::VehicleFacade& c2c;
    EgoMotion& egoMotion;
    PlatoonController& platoonController;
};
}
#endif
